C
C	PROGRAM START
C
C	TO RESET CURRENT LINE AND ABUNDANCE TO 1
C	TO RESET TOTAL RADIATIVE ACCELERATIONS TO 0 
C	AND SET UP TOTAL NUMBER OF LINES UNDER CONSIDERATION
C
C       INPUT:
C		linelist - (8)LIST OF LINES OF THE ELEMENT OF INTERREST
C       OUTPUT:
C               no.line - (9) IDENTIFIER (ORDER) OF THE CURRENT LINE 
C	 		IN THE LINELIST AND ORDER OF CURRENT ABUNDANCE
C		accel.tot - (99) TOTAL RADIATIVE ACCELERATION SUMMED 
C			OVER ALL LINES
C	
C------------------------------------------------------------------
        PARAMETER (NDIM=90,NION1=9,NAB1=10)
        IMPLICIT DOUBLE PRECISION (A-H,O-Z)
C        DIMENSION NLIA(NION1,NAB1),ACCTOT(NDIM,NION1,NAB1)
        WRITE(6,'(A)')' START'
        WRITE(6,'(A)')' INPUT: '
        WRITE(6,'(A)')' linelist - (8) DATA FOR THE SPECTRAL LINES'
        WRITE(6,'(A)')' OUTPUT: '
	WRITE(6,'(A)')' no.line - (9) ORDER  OF THE NEXT LINE...=1,1'
	WRITE(6,'(A)')' accel.tot - (99) TOTAL RAD. ACCELERATION...=0'
	OPEN(8,FILE='linelist',STATUS='OLD')
	I=1
10	READ(8,*,ERR=310,END=500)DLL
	I=I+1
	GOTO 10
310	WRITE(6,*)' ERROR IN THE LINE-LIST'
	PAUSE
500	N=I-1
	CLOSE (8)
        OPEN(9,FILE='no.line',STATUS='UNKNOWN')
        WRITE(9,'(A)')'#NEXT LINE, NEXT ABUNDANCE, TOTAL NO. OF LINES'
        WRITE(9,'(3I8)')1,1,N
        CLOSE (9)
C---------------------------------------------------------------
        OPEN(99,FILE='accel.tot',STATUS='UNKNOWN')
        WRITE(99,125)0.D0,0.D0,0
        WRITE(99,640)((0,II=1,NION1),IA=1,NAB1)
        WRITE(99,645)((0.D0,II=1,NION1),IA=1,NAB1)
        WRITE(99,650)((II,II=1,NION1),IA=1,NAB1)
        WRITE(99,635)
125     FORMAT('# TEFF, LOGG, ELEMENT :',F10.0,F10.2,I10)
635     FORMAT('# ID   DM     RAD.ACC. FOR GIVEN MODEL, ION, ABUNDANCE'
     P  ,' AND NUMBER OF LINES')
640     FORMAT('# NO. LINES :',200I10)
645     FORMAT('# ABUNDANCE :',200E10.3)
650     FORMAT('# ION       :',200I10)
        DO 670 ID=1,NDIM
C          DO 660 II=1,NION1
C            DO 655 IA=1,NAB1
C              ACCTOT(ID,II,IA)=0.D0
C655         CONTINUE
C660       CONTINUE
C          WRITE(99,680)0,0.D0,
C     P    ((ACCTOT(ID,IIK,IAK),IIK=1,NION1),IAK=1,NAB1)
          WRITE(99,680)0,0.D0,((0.D0,IIK=1,NION1),IAK=1,NAB1)
670     CONTINUE
        CLOSE(99)
680     FORMAT(I3,200E10.3)
	STOP
	END
